#! /bin/sh

[ -z "$SHUTDOWNCOM" ] && SHUTDOWNCOM=doshutdown.sh
[ -z "$sysdownprog" ] && doerror \"sysdownprog\" undefined!

if [ -f $SHUTDOWNCOM ]; then
    $doecho \\nsave existing `pwd`/$SHUTDOWNCOM to `pwd`/${SHUTDOWNCOM}.bkp... \\c
    mv $SHUTDOWNCOM ${SHUTDOWNCOM}.bkp || doerror failed to rename $SHUTDOWNCOM
    $doecho ok!; sleep 1
fi

$doecho \\nWriting default command file `pwd`/${SHUTDOWNCOM}... \\c

cat > ${SHUTDOWNCOM}<<EOF
#!/bin/sh
# This script is called by upsman|rccmd and initiates system shutdown
#

cd /
sync ; sync ; sync
$sysdownprog &
exit 0
EOF

[ $? = 0 ] && chown root:0 $SHUTDOWNCOM && chmod 774 $SHUTDOWNCOM
[ $? = 0 ] || doerror failed to write $SHUTDOWNCOM!

$doecho ok!; sleep 1
