# ------------------------------------------------------------
# ask_for_upshttpd_readme(
# ------------------------------------------------------------

ask_for_upshttpd_readme() {
#if [ -f upshttpd.readme ];then
#    UPSHTTPDREADME=upshttpd.readme
#elif
if [ -n "$INFO_DIR" -a -f $INFO_DIR/[Uu][Pp][Ss][Hh][Tt][Tt][Pp][Dd].[Tt][Xx][Tt] ]; then
    UPSHTTPDREADME=`ls $INFO_DIR/[Uu][Pp][Ss][Hh][Tt][Tt][Pp][Dd].[Tt][Xx][Tt] 2>/dev/null`
else
    return 1
fi
$doecho \\nDo you want to read the information for Upshttpd [Y/n]?: \\c
read yesno
dodebug "yesno = >$yesno<"
if [ "$yesno" = "" ] || [ $yesno = y ] || [ $yesno = Y ]; then
	more $UPSHTTPDREADME
fi
sleep 1
}

# ------------------------------------------------------------
# do_upshttpd_inst()
# ------------------------------------------------------------

do_upshttpd_inst() {

#if [ -d $WPATH/[Uu][Pp][Ss][Hh][Tt][Tt][Pp][Dd] ]; then
#    UPSHTTPD=`ls -d $WPATH/[Uu][Pp][Ss][Hh][Tt][Tt][Pp][Dd] 2>/dev/null`
#else
#    doerror can\'t find $WPATH/UPSHTTPD, no such directory!
#    return 1
#fi
if [ -f $UPSHTTPD/[Uu][Pp][Ss][Hh][Tt][Tt][Pp][Dd].[Tt][Aa][Rr] ]; then
    UPSHTTPD_TAR=`ls $UPSHTTPD/[Uu][Pp][Ss][Hh][Tt][Tt][Pp][Dd].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $UPSHTTPD/upshttpd.tar, no such file!
    return 1
fi
#if [ -f $UPSHTTPD/[Ww][Ww][Ww].[Tt][Aa][Rr] ]; then
#    UPSHTTPD_WWW=`ls $UPSHTTPD/[Ww][Ww][Ww].[Tt][Aa][Rr] 2>/dev/null`
#else
#    doerror can\'t find $UPSHTTPD/www.tar, no such file!
#    return 1
#fi

$doecho \\nInstall upshttpd and upscgi in `pwd`... \\c
tarerror=`$UNTAR $UPSHTTPD_TAR 2>&1`
#[ "$tarerror" ] && doerror \\n$tarerror 

chown root:0 upshttpd && chmod 700 upshttpd \
&& chown root:0 upscgi && chmod 700 upscgi
#&& chown root:0 upshttpd.sh && chmod 700 upshttpd.sh \
#&& chown -R root:0 wwwroot && chmod 774 wwwroot && chmod 664 wwwroot/*
[ $? ] || doerror failed to fix permissions

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# do_jupsmon_inst()
# ------------------------------------------------------------
do_jupsmon_inst() {

UHD_WWWDIR="www"
UHD_IMAGEDIR="images"
RETURNPATH=`pwd`
JRE_INSTALLER_FILE=jre-1_5_0_12-linux-i586.bin

# o-SuSE 10.2 installed from cdimages (not dvd) comes only with gcc-java
# with well-known bugs - to avoid such errors we install needed jre here.
if [ X${OPSYS_TYPE} = XSUSE_LINUX ]; then
   if [ -f $WPATH/$JRE_INSTALLER_FILE ]; then
       JRE_INSTALLER_SRCPATH=`ls $WPATH/$JRE_INSTALLER_FILE 2>/dev/null`
   else
       doerror can\'t find $WPATH/$JRE_INSTALLER_FILE, no such file!
       return 1
   fi

   $doecho \\nInstall JAVA runtime `pwd`... \\c
   cp $JRE_INSTALLER_SRCPATH `pwd`
   chmod 755 `pwd`/$JRE_INSTALLER_FILE
   `pwd`/$JRE_INSTALLER_FILE 2>&1
fi

if [ -f $OSVER/[Jj][Uu][Pp][Ss][Mm][Oo][Nn].[Tt][Aa][Rr] ]; then
    JUPSMON_TAR=`ls $OSVER/[Jj][Uu][Pp][Ss][Mm][Oo][Nn].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $OSVER/jupsmon.tar, no such file!
    return 1
fi

[ -d $UHD_WWWDIR ] || mkdir $UHD_WWWDIR
[ -d $UHD_WWWDIR ] || doerror can\'t create subdirectory `pwd`/$UHD_WWWDIR!

chown root:0 $UHD_WWWDIR && chmod 775 $UHD_WWWDIR
[ $? = 0 ] || doerror failed to set permissions for `pwd`/$UHD_WWWDIR

cd $UHD_WWWDIR || doerror can\'t cd to `pwd`/$UHD_WWWDIR

[ $UPS_DIR = $RETURNPATH ] || doerror $RETURNPATH doesn\'t match

$doecho \\nInstall JAVA UPSMON Applet in `pwd`... \\c

[ -n "$JUPSMON_TAR" ] && [ -f "$JUPSMON_TAR" ] && $UNTAR $JUPSMON_TAR 2>&1

[ -f jupscfg.jar ] && chmod 644 jupscfg.jar
[ $? = 0 ] || doerror failed to set permissions for `pwd`/jupscfg.jar
#[ -f jupsmon.jar ] && chmod 644 jupsmon.jar
#[ $? = 0 ] || doerror failed to set permissions for `pwd`/jupsmon.jar
[ -f jupsmonl.jar ] && chmod 644 jupsmonl.jar
[ $? = 0 ] || doerror failed to set permissions for `pwd`/jupsmonl.jar

#[ -f jupsmon.readme ] && chmod 644 jupsmon.readme
#[ -f jupsmon_install.sh ] && chmod 755 jupsmon_install.sh

#
# create index.html (will redirect to jupsmon.html now)
#
$doecho "<head>" > index.html
$doecho "<meta http-equiv='refresh' content='0; URL=./jupsmon.html'>" >> index.html
$doecho "</head>" >> index.html
$doecho "<body>" >> index.html
$doecho "<center>" >> index.html
$doecho "<br/><br/><br/>" >> index.html
$doecho "<h3>" >> index.html
$doecho "You will be redirected soon to <a href='./jupsmon.html'>JAVA UPS MONITOR</a><br/>" >> index.html
$doecho "If not, please click the link above manually." >> index.html
$doecho "</h3>" >> index.html
$doecho "</center>" >> index.html
$doecho "</body>" >> index.html
$doecho "</html>" >> index.html

chown root:0 index.html && chmod 644 index.html
[ $? = 0 ] || doerror failed to set permissions for `pwd`/index.html

#
# create jupscfg.html
#
$doecho "<html>" > jupscfg.html
$doecho "<head>" >> jupscfg.html
$doecho "<title>JUPSCFG</title>" >> jupscfg.html
$doecho "</head>" >> jupscfg.html
$doecho "<body>" >> jupscfg.html
$doecho "</head><body bgcolor=\"#ffffff\">" >> jupscfg.html
$doecho "" >> jupscfg.html
$doecho "<center>" >> jupscfg.html
$doecho "" >> jupscfg.html
$doecho "<table border=3>" >> jupscfg.html
$doecho "<tr>" >> jupscfg.html
$doecho "<td>" >> jupscfg.html
$doecho "  <APPLET CODEBASE=\".\"" >> jupscfg.html
$doecho "          ARCHIVE=\"jupscfg.jar\" " >> jupscfg.html
$doecho "          CODE=\"com.generex.jupsmon.applet.JAppUpscfg.class\" WIDTH=400 HEIGHT=220>" >> jupscfg.html
$doecho "     <PARAM NAME=\"UPSTYP\" VALUE=\"$D\">" >> jupscfg.html
$doecho "     <PARAM NAME=\"UPSCGIPATH\" VALUE=\"/cgi-bin/upscgi\">" >> jupscfg.html
$doecho "	<h2>Unable to load Master applet</h2>" >> jupscfg.html
$doecho "  </APPLET>" >> jupscfg.html
$doecho "</td>" >> jupscfg.html
$doecho "</table>" >> jupscfg.html
$doecho "" >> jupscfg.html
$doecho "<p>" >> jupscfg.html
$doecho "" >> jupscfg.html
$doecho "</center>" >> jupscfg.html
$doecho "" >> jupscfg.html
$doecho "</body>" >> jupscfg.html
$doecho "</html>" >> jupscfg.html

chown root:0 jupscfg.html && chmod 644 jupscfg.html
[ $? = 0 ] || doerror failed to set permissions for `pwd`/jupscfg.html

#
# create jupsmon.html
#
$doecho "<html>" > jupsmon.html
$doecho "<head>" >> jupsmon.html
$doecho "<title>JUPSMON</title>" >> jupsmon.html
$doecho "</head>" >> jupsmon.html
$doecho "<body>" >> jupsmon.html
$doecho "</head><body bgcolor=\"#ffffff\">" >> jupsmon.html
$doecho "" >> jupsmon.html
$doecho "<center>" >> jupsmon.html
$doecho "" >> jupsmon.html
$doecho "<table border=3>" >> jupsmon.html
$doecho "<tr>" >> jupsmon.html
$doecho "<td>" >> jupsmon.html
$doecho "  <APPLET CODEBASE=\".\"" >> jupsmon.html
$doecho "          ARCHIVE=\"jupscfg.jar, jupsmonl.jar\" " >> jupsmon.html
$doecho "          CODE=\"com.generex.jupsmon.applet.JAppUpsmon.class\" WIDTH=400 HEIGHT=220>" >> jupsmon.html
$doecho "     <PARAM NAME=\"UPSTYP\" VALUE=\"$D\">" >> jupsmon.html
$doecho "     <PARAM NAME=\"UPSCGIPATH\" VALUE=\"/cgi-bin/upscgi\">" >> jupsmon.html
$doecho "     <PARAM NAME=\"CONNECT\" VALUE=\"YES\">" >> jupsmon.html
$doecho "     <PARAM NAME=\"RUNCONNECT\" VALUE=\"YES\">" >> jupsmon.html
$doecho "	<h2>Unable to load Master applet</h2>" >> jupsmon.html
$doecho "  </APPLET>" >> jupsmon.html
$doecho "</td>" >> jupsmon.html
$doecho "</table>" >> jupsmon.html
$doecho "" >> jupsmon.html
$doecho "<p>" >> jupsmon.html
$doecho "" >> jupsmon.html
$doecho "</center>" >> jupsmon.html
$doecho "" >> jupsmon.html
$doecho "</body>" >> jupsmon.html
$doecho "</html>" >> jupsmon.html

chown root:0 jupsmon.html && chmod 644 jupsmon.html
[ $? = 0 ] || doerror failed to set permissions for `pwd`/jupsmon.html

#
# images
#
[ -d $UHD_IMAGEDIR ] || mkdir $UHD_IMAGEDIR
[ -d $UHD_IMAGEDIR ] || doerror can\'t create subdirectory `pwd`/$UHD_IMAGEDIR!

chown root:0 $UHD_IMAGEDIR && chmod 775 $UHD_IMAGEDIR
[ $? = 0 ] || doerror failed to set permissions for `pwd`/$UHD_IMAGEDIR

[ -d $VER/[Vv][Ee][Nn][Dd][Oo][Rr][Ss] ] \
    && VENDOR=`ls -d $VER/[Vv][Ee][Nn][Dd][Oo][Rr][Ss] 2>/dev/null`
[ -n "$VENDOR" -a -n "$D" -a -d $VENDOR/$D ] \
    && LANGDIR=$VENDOR/$D
[ -n "$LANGDIR" -a -d $LANGDIR/[Ii][Mm][Aa][Gg][Ee][Ss] ] \
    && IMAGEDIR=`ls -d $LANGDIR/[Ii][Mm][Aa][Gg][Ee][Ss] 2>/dev/null`

if [ -n "$IMAGEDIR" -a -d "$IMAGEDIR" ]; then
    for i in `ls "$IMAGEDIR" 2>/dev/null`; do
	cp $IMAGEDIR/$i $UHD_IMAGEDIR/ || doerror failed to copy $IMAGEDIR/$i
	chown root:0 $UHD_IMAGEDIR/$i && chmod 644 $UHD_IMAGEDIR/$i
	[ $? = 0 ] || doerror failed to set permissions for `pwd`/$UHD_IMAGEDIR/$i
    done
fi

cd $RETURNPATH

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# WriteUpshttpd_sh()
# ------------------------------------------------------------

WriteUpshttpd_sh() {

[ -z "$UPSHTTPD_STARTER" ] && UPSHTTPD_STARTER=upshttpd.sh
[ -z "$UPSHTTPPORT" ] && UPSHTTPPORT=8081

if [ -f $UPSHTTPD_STARTER ]; then
    $doecho \\nsave existing `pwd`/$UPSHTTPD_STARTER to `pwd`/${UPSHTTPD_STARTER}.bkp... \\c
    mv $UPSHTTPD_STARTER ${UPSHTTPD_STARTER}.bkp || doerror \\nfailed to rename $UPSHTTPD_STARTER
    $doecho ok!; sleep 1
fi

cat <<EOF

The default port for upshttpd is now 8081. If you like upshttpd
to listen to a different port you may enter it here.
Note: you can change it later by editing `pwd`/${UPSHTTPD_STARTER}.
EOF
$doecho \\nWitch port should upshttpd listen to [$UPSHTTPPORT]?: \\c
read UPSHTTPPORT

#if [ "$UPSHTTPPORT" = "" ] || [ $(($UPSHTTPPORT < 65536)) != 1 ] || [ $(($UPSHTTPPORT > 0)) != 1 ]; then
if [ "$UPSHTTPPORT" = "" ] || [ $UPSHTTPPORT -gt 65535 ] || [ $UPSHTTPPORT -lt 1 ]; then
    UPSHTTPPORT=8081
fi

$doecho \\nwriting startscript `pwd`/${UPSHTTPD_STARTER}... \\c

cat > $UPSHTTPD_STARTER<<EOF
#!/bin/sh
#
# to change the port, change the value after option -p
# to enable logging, use option -L <logfile>
#
#$UPSIDENT

[ -x `pwd`/upshttpd ] || exit 0

cd `pwd`

./upshttpd -p $UPSHTTPPORT -n 0 -g 0 `pwd`/wwwroot

exit 0
EOF

[ $? = 0 ] && chown root:0 $UPSHTTPD_STARTER && chmod 774 $UPSHTTPD_STARTER
[ $? = 0 ] || doerror failed to write $UPSHTTPD_STARTER

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# WriteStartupscfg()
# ------------------------------------------------------------
WriteStartupscfg() {

[ -z "$UPSCFG_STARTER" ] && UPSCFG_STARTER=startupscfg

if [ -f $UPSCFG_STARTER ]; then
    $doecho \\nsave existing `pwd`/$UPSCFG_STARTER to `pwd`/${UPSCFG_STARTER}.bkp... \\c
    mv $UPSCFG_STARTER ${UPSCFG_STARTER}.bkp || doerror \\nfailed to rename $UPSCFG_STARTER
    $doecho ok!; sleep 1
fi

$doecho \\nwriting startscript `pwd`/${UPSCFG_STARTER}... \\c

cat > $UPSCFG_STARTER<<EOF
#!/bin/sh
#

#[ -x `pwd`/www/jupscfg.jar ] || exit 0

PATH=/sbin:/usr/sbin:/bin:/usr/bin

case "\$1" in
start)
    cd ${UPS_DIR}
    ./jre1.5.0_12/bin/java -cp www/jupscfg.jar com.generex.jupsmon.JUpsmon -o $D -c
    ;;

*)
    echo "Usage: \$0 start"; exit 1 
    ;;
esac
exit 0
EOF

[ $? = 0 ] && chown root:0 $UPSCFG_STARTER && chmod 774 $UPSCFG_STARTER
[ $? = 0 ] || doerror failed to write $UPSCFG_STARTER

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# InstallUpshttpd()
# ------------------------------------------------------------

InstallUpshttpd() {
dodebug "InstallUpshttpd()"
[ -z "$UNTAR" ] && UNTAR="tar xf"

cat<<EOF

Do you want to install Upshttpd?
Upshttpd is required for the upsman configuration!
This software allows you to connect to upsman and monitor UPS with 
your webbrowser.
EOF

ask_for_upshttpd_readme

$doecho \\nInstall Upshttpd \(required for upsman configuration\) [Y/n]?: \\c
read yesno

if [ "$yesno" != "" ] && [ $yesno != y ] && [ $yesno != Y ]; then
    return 0
fi

check_ups_dir

cd $UPS_DIR || doerror can\'t cd to $UPS_DIR

do_upshttpd_inst

do_jupsmon_inst

#WriteUpshttpd_sh
# Must start this BEFORE browser configuration:
./upshttpd

# if [ X${OPSYS_TYPE} = XSUSE_LINUX ]; then

   $doecho \\nDo you want to configure upsman now  [Y/n]?: \\c
   read yesno
   
   if [ "$yesno" = "" ] || [ $yesno = y ] || [ $yesno = Y ]; then
       ./startupsman conf
       $doecho \\nto configure with Browser use http://localhost:8081/jupscfg.html
   else
       $doecho \\nYou must configure upsman before use.
       $doecho \\nTo configure upsman enter: ./startupsman conf
   fi
# fi

$doecho \\n\\nUpshttpd installed in directory `pwd`; sleep 1

}

